> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.littglobal.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.littglobal.com/_mcp/server.

# Password Reset - Email

POST TBD/api/v2/users/password-reset/email

This API is designed for safety and user experience. If a user forgets their password, the system will send out instructions on how to reset it to the email provided by the user.

### Request Body

- `email_address` (String): The email address of the user that requests a password reset.
    

### Response

- `user_id` (String): The unique ID that represents the user in the system.
    
- `email` (String): The email address of the user whose password has been reset.

Reference: https://docs.littglobal.com/litt-white-label/api-reference/user-profile/password-reset-email

## Response

### 200

Password Reset - Email

- `message` (string, optional)
- `api` (string, optional)
- `status` (string, optional)
- `data` (ApiV2UsersPasswordResetEmailPostResponsesContentApplicationJsonSchemaData, optional)

## Types

### ApiV2UsersPasswordResetEmailPostResponsesContentApplicationJsonSchemaData

- `user_id` (string, optional)
- `email` (string, optional)

## Examples

**Response**

```json
{
  "message": "We've sent a password reset link to your email address. Please check your junk mail as it possible it could have been moved there.",
  "api": "password-reset-email",
  "status": "success",
  "data": {
    "user_id": "6c68dd44-a4b8-400b-b4f5-89c1802d5c28",
    "email": "user@example.com"
  }
}
```

**SDK Code**

```python User Profile_passwordResetEmail_example
import requests

url = "https://tbd/api/v2/users/password-reset/email"

response = requests.post(url)

print(response.json())
```

```javascript User Profile_passwordResetEmail_example
const url = 'https://tbd/api/v2/users/password-reset/email';
const options = {method: 'POST'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go User Profile_passwordResetEmail_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tbd/api/v2/users/password-reset/email"

	req, _ := http.NewRequest("POST", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby User Profile_passwordResetEmail_example
require 'uri'
require 'net/http'

url = URI("https://tbd/api/v2/users/password-reset/email")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)

response = http.request(request)
puts response.read_body
```

```java User Profile_passwordResetEmail_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tbd/api/v2/users/password-reset/email")
  .asString();
```

```php User Profile_passwordResetEmail_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tbd/api/v2/users/password-reset/email');

echo $response->getBody();
```

```csharp User Profile_passwordResetEmail_example
using RestSharp;

var client = new RestClient("https://tbd/api/v2/users/password-reset/email");
var request = new RestRequest(Method.POST);
IRestResponse response = client.Execute(request);
```

```swift User Profile_passwordResetEmail_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://tbd/api/v2/users/password-reset/email")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```